import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';
import 'package:flutter_svg/flutter_svg.dart';

class BottomSheetSection extends StatefulWidget {
  const BottomSheetSection({super.key});

  @override
  State<BottomSheetSection> createState() => _BottomSheetSectionState();
}

class _BottomSheetSectionState extends State<BottomSheetSection> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(top: height(context) * 3),
      child: Column(
        children: [
          ButtonWidget(
            onPressed: () {
              showBottomSheetFunc(Column(), context);
            },
            label: "Показать Модалку(Background)",
            variant: 'flat',
          ),
          SizedBox(height: height(context) * 3),
          ButtonWidget(
            onPressed: () {
              showBottomSheetFunc(
                Column(
                  children: [
                    Container(
                      padding: EdgeInsets.symmetric(
                        horizontal: 20,
                        vertical: 24,
                      ),
                      child: Row(
                        mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        crossAxisAlignment: CrossAxisAlignment.center,
                        children: [
                          SizedBox(
                            width: width(context) * 60,
                            child: Text(
                              'Рубашка Воскресенье для машинного вязания',
                              style: title1ExtraBold,
                            ),
                          ),
                          SvgPicture.asset('assets/close.svg'),
                        ],
                      ),
                    ),
                  ],
                ),
                context,
              );
            },
            label: 'Показать Модалку',
            variant: 'flat',
          ),
        ],
      ),
    );
  }
}
