import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';
import 'package:flutter_svg/flutter_svg.dart';

class IconsSection extends StatefulWidget {
  const IconsSection({super.key});

  @override
  State<IconsSection> createState() => _IconsSectionState();
}

class _IconsSectionState extends State<IconsSection> {
  static final iconsList = [
    'chevron-left.svg',
    'chevron-right.svg',
    'chevron-down.svg',
    'plus.svg',
    'minus.svg',
    'message-circle.svg',
    'filter.svg',
    'download.svg',
    'map.svg',
    'more-horizontal.svg',
    'close.svg',
    'delete.svg',
    'cart.svg',
    'check.svg',
    'file-text.svg',
    'send.svg',
    'mic.svg',
    'paperclip.svg',
    'closed-eye.svg',
  ];

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width(context) * 100,
      height: height(context) * 10,
      child: ListView.builder(
        itemCount: iconsList.length,
        scrollDirection: Axis.horizontal,
        itemBuilder: (BuildContext context, int index) {
          final currentItem = iconsList[index];
          return Container(
            padding: EdgeInsets.only(right: width(context) * 1),
            child: SvgPicture.asset('assets/$currentItem'),
          );
        },
      ),
    );
  }
}
