import 'package:example/bottom_sheet_section.dart';
import 'package:example/button_section.dart';
import 'package:example/card_section.dart';
import 'package:example/cart_button_section.dart';
import 'package:example/categories_section.dart';
import 'package:example/chips_section.dart';
import 'package:example/colors_section.dart';
import 'package:example/counter_section.dart';
import 'package:example/fonts_section.dart';
import 'package:example/header_section.dart';
import 'package:example/icons_section.dart';
import 'package:example/inputs_section.dart';
import 'package:example/log_in_section.dart';
import 'package:example/search_section.dart';
import 'package:example/select_section.dart';
import 'package:example/small_button_section.dart';
import 'package:example/toggle_section.dart';
import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

void main() {
  runApp(const MainApp());
}

class MainApp extends StatelessWidget {
  const MainApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      color: whiteColor,
      home: Scaffold(
        backgroundColor: whiteColor,
        body: SingleChildScrollView(
          child: Container(
            margin: EdgeInsets.symmetric(horizontal: width(context) * 5),
            child: Column(
              children: [
                ColorsSection(),
                FontsSection(),
                IconsSection(),
                InputsSection(),
                SearchSection(),
                ButtonSection(),
                SmallButtonSection(),
                TabBarWidget(onTap: (val) {}, selectedIndex: 0),
                BottomSheetSection(),
                HeaderSection(),
                CardSection(),
                CounterSection(),
                ToggleSection(),
                SelectSection(),
                ChipsSection(),
                LogInSection(),
                CartButtonSection(),
                CategoriesSection(),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
