import 'package:flutter/widgets.dart';
import 'package:ui_kit/colors.dart';

class CardWidget extends StatefulWidget {
  const CardWidget({super.key, required this.child});
  final Widget child;

  @override
  State<CardWidget> createState() => _CardWidgetState();
}

class _CardWidgetState extends State<CardWidget> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 335,
      height: 150,
      padding: EdgeInsets.symmetric(horizontal: 16, vertical: 16),
      decoration: BoxDecoration(
        color: whiteColor,
        borderRadius: BorderRadius.circular(12),
        border: Border.all(color: dividerColor, width: 1),
        boxShadow: [BoxShadow(color: shadowColor, blurRadius: 10)],
      ),
      child: widget.child,
    );
  }
}
