import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:ui_kit/card.dart';
import 'package:ui_kit/counter.dart';
import 'package:ui_kit/fonts.dart';

class CartCard extends StatefulWidget {
  const CartCard({
    super.key,
    required this.title,
    required this.price,
    required this.count,
  });
  final String title;
  final String price;

  final String count;

  @override
  State<CartCard> createState() => _CartCardState();
}

class _CartCardState extends State<CartCard> {
  @override
  Widget build(BuildContext context) {
    return CardWidget(
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              SizedBox(
                width: 275,
                child: Text(widget.title, style: headlineMedium),
              ),
              SvgPicture.asset('assets/close.svg'),
            ],
          ),
          SizedBox(height: 34),
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text('${widget.price} ₽', style: title3Medium),
              SizedBox(
                width: 145,
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Text('${widget.count} штук', style: textRegular),
                    CounterWidget(),
                  ],
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
