import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

class LogInCard extends StatefulWidget {
  const LogInCard({super.key, required this.image, required this.text});
  final String image;
  final String text;

  @override
  State<LogInCard> createState() => _LogInCardState();
}

class _LogInCardState extends State<LogInCard> {
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 14, vertical: 14),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(12),
        border: Border.all(color: inputStrokeColor, width: 1),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset(widget.image, width: 32, height: 32),
          SizedBox(width: 16),
          Text(widget.text, style: title3Medium),
        ],
      ),
    );
  }
}
