import 'package:flutter/widgets.dart';
import 'package:ui_kit/card.dart';
import 'package:ui_kit/ui_kit.dart';

class ProjectCard extends StatefulWidget {
  const ProjectCard({
    super.key,
    required this.title,
    required this.lastDate,
    required this.onPressed,
  });
  final String title;
  final String lastDate;
  final VoidCallback onPressed;

  @override
  State<ProjectCard> createState() => _ProjectCardState();
}

class _ProjectCardState extends State<ProjectCard> {
  @override
  Widget build(BuildContext context) {
    return CardWidget(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(widget.title, style: headlineMedium),
          SizedBox(height: 44),
          Row(
            crossAxisAlignment: CrossAxisAlignment.end,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text(
                'Прошло ${widget.lastDate} дня',
                style: captionSemibold.copyWith(color: captionColor),
              ),
              ButtonWidget(
                onPressed: widget.onPressed,
                label: "Открыть",
                variant: 'flat',
                size: 'small',
              ),
            ],
          ),
        ],
      ),
    );
  }
}
