import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:ui_kit/ui_kit.dart';

class HeaderWidget extends StatefulWidget {
  const HeaderWidget({
    super.key,
    required this.variant,
    required this.onPressed,
    required this.handleBack,
  });
  final String variant;
  final VoidCallback onPressed;
  final VoidCallback handleBack;

  @override
  State<HeaderWidget> createState() => _HeaderWidgetState();
}

class _HeaderWidgetState extends State<HeaderWidget> {
  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 16, vertical: 16),
      child: widget.variant == 'main'
          ? Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    GestureDetector(
                      onTap: widget.handleBack,
                      child: BubbleWidget(),
                    ),
                    GestureDetector(
                      onTap: widget.onPressed,
                      child: SvgPicture.asset('assets/delete.svg'),
                    ),
                  ],
                ),
                SizedBox(height: 24),
                Text('Корзина', style: title1ExtraBold),
              ],
            )
          : Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                GestureDetector(
                  onTap: widget.handleBack,
                  child: BubbleWidget(),
                ),
                Text('Корзина', style: title1ExtraBold),
                GestureDetector(
                  onTap: widget.onPressed,
                  child: SvgPicture.asset('assets/delete.svg'),
                ),
              ],
            ),
    );
  }
}
