import 'package:flutter/material.dart';
import 'package:flutter_advanced_switch/flutter_advanced_switch.dart';
import 'package:ui_kit/ui_kit.dart';

class ToggleWidget extends StatefulWidget {
  const ToggleWidget({super.key, this.initialValue = false});
  final bool initialValue;

  @override
  State<ToggleWidget> createState() => _ToggleWidgetState();
}

class _ToggleWidgetState extends State<ToggleWidget> {
  final controller00 = ValueNotifier<bool>(false);
  @override
  Widget build(BuildContext context) {
    return AdvancedSwitch(
      controller: controller00,
      width: 48,
      height: 28,
      initialValue: widget.initialValue,
      activeColor: primaryColor,
      inactiveColor: inputBgColor,
      enabled: true,
    );
  }
}
