import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:ui_kit/ui_kit.dart';

void main() {
  testWidgets(
    "Инпут ошибки. Проверяемые параметры: фон, обводка, Наличие текста ошибки и соответствие его цвета",
    (WidgetTester tester) async {
      final TextEditingController controller = TextEditingController();
      await tester.pumpWidget(
        MaterialApp(
          builder: (context, child) => Scaffold(
            body: Column(
              children: [
                InputWidget(
                  controller: controller,
                  hintText: 'This error input',
                  errorText: 'Eror Input Text',
                  isError: 'true',
                ),
              ],
            ),
          ),
        ),
      );
      await tester.pumpAndSettle();
      final input = find.byType(InputWidget);
      expect(input.hasFound, true);
    },
  );
  testWidgets(
    "Кнопка chips. Кнопка при значениях status ON и OFF соответствует макету",
    (WidgetTester tester) async {
      bool isSelected = false;
      Color bgColor = primaryColor;

      await tester.pumpWidget(
        MaterialApp(
          builder: (context, child) => Scaffold(
            body: Column(
              children: [
                TextButton(
                  onPressed: () {
                    isSelected = !isSelected;
                    bgColor = bgColor == primaryColor
                        ? inputBgColor
                        : primaryColor;
                  },
                  child: Text('Click to make chip enabled'),
                ),
                Chips(
                  buttonText: 'Testtest',
                  buttonStyle: title2Semibold,
                  bgColor: bgColor,
                ),
              ],
            ),
          ),
        ),
      );
      await tester.pumpAndSettle();
      final currentWidget = find.widgetWithText(
        TextButton,
        'Click to make chip enabled',
      );
      await tester.tap(currentWidget);
      expect(isSelected, true);
      expect(bgColor, inputBgColor);
    },
  );
}
